version: '2'

#################################

networks:
  app_network:
    driver: bridge

services:
  ##############################################################################

  server:
    image: reg.cic.kz/corp/botan:testing
    container_name: php-app
    hostname: php-app

    labels:
      io.rancher.scheduler.affinity:host_label: name=botan
      io.rancher.container.pull_image: always
      io.rancher.container.hostname_override: container_name

    volumes:
      - /var/data/botan/test/app/storage:/app/storage
      - /var/data/botan/test/shared:/shared

    networks:
      - app_network

    depends_on:
      - db

  ##############################################################################

  db:
    image: reg.cic.kz/centras/mysql:5.7
    container_name: db

    networks:
      - app_network

    volumes:
      - /var/data/botan/test/db:/var/lib/mysql

    environment:
      - MYSQL_DATABASE=botan_prod
      - MYSQL_ROOT_PASSWORD=QazXsw123

    labels:
      io.rancher.scheduler.affinity:host_label: name=botan
      io.rancher.container.hostname_override: container_name

  ##############################################################################

  pma:
    image: reg.cic.kz/centras/phpmyadmin:latest
    restart: always
    container_name: pma
    privileged: true
    ports:
      - "14013:80/tcp"

    links:
      - db

    environment:
      - PMA_HOST=db
      - PMA_USER=root
      - PMA_PASSWORD=QazXsw123
      - UPLOAD_LIMIT=1024M

    tty: true

    networks:
      - app_network

    labels:
      io.rancher.scheduler.affinity:host_label: name=botan
      io.rancher.container.hostname_override: container_name

  ##############################################################################

  redis:
    image: redis:alpine
    container_name: redis
    hostname: redis
    restart: unless-stopped

    volumes:
      - /var/data/botan/test/redis:/data

    networks:
      - app_network

    labels:
      io.rancher.scheduler.affinity:host_label: name=botan
      io.rancher.container.hostname_override: container_name


  ######################
  #   Балансировщики   #
  ######################

  lb:
    image: rancher/lb-service-haproxy:v0.9.14
    ports:
      - "14011:14011/tcp"
    networks:
      - app_network

    links:
      - server

    depends_on:
      - server

    labels:
      io.rancher.scheduler.affinity:host_label: name=botan


